#include <stdio.h>
#include <stdlib.h>

extern void memdep(long *a, long *b, long *c, long *d,
                   long *e, long *f, long *g, long *h);

int main(int argc, char *argv[])
{
  long i;
  unsigned long offsets[8];
  long a[1000];
  if (argc!=9) {
    fprintf(stderr,"Usage: %s int1 ... int8\n",argv[0]);
    exit(1);
  }
  for (i=0; i<8; i++) {
    offsets[i] = strtol(argv[i+1],NULL,10);
    if (offsets[i]>=1000) {
      fprintf(stderr, "All numbers must be <1000\n");
      exit(1);
    }
  }
  for (i=0; i<1000; i++)
    a[i] = 0;
  memdep(a+offsets[0], a+offsets[1], a+offsets[2], a+offsets[3],
         a+offsets[4], a+offsets[5], a+offsets[6], a+offsets[7]);
  return 0;
}
